## LassoIsUserInteraction LassoIsUserInteraction — <is:UserInteraction> |

## Functions

#define | LASSO_IS_IS_USER_INTERACTION()
LassoIsUserInteraction * | lasso_is_user_interaction_new ()

## Types and Values

struct | LassoIsUserInteraction

## Description

Figure 126. Schema fragment for is:UserInteraction

    <xs:element name="UserInteraction" type="UserInteractionHeaderType"/>
    <xs:complexType name="UserInteractionHeaderType">
      <xs:sequence>
        <xs:element name="InteractionService" type="disco:ResourceOfferingType" minOccurs="0"/>
      </xs:sequence>
      <xs:attribute name="id" type="xs:ID" use="optional"/>
      <xs:attribute name="interact" type="xs:QName" use="optional" default="is:interactIfNeeded"/>
      <xs:attribute name="language" type="xs:NMTOKENS" use="optional"/>
      <xs:attribute name="redirect" type="xs:boolean" use="optional" default="0"/>
      <xs:attribute name="maxInteractTime" type="xs:integer" use="optional"/>
      <xs:attribute ref="soap:actor" use="optional"/>
      <xs:attribute ref="soap:mustUnderstand" use="optional"/>
    </xs:complexType>

## Functions

### LASSO_IS_IS_USER_INTERACTION()

    #define             LASSO_IS_IS_USER_INTERACTION(obj)

### lasso_is_user_interaction_new ()

    LassoIsUserInteraction *
    lasso_is_user_interaction_new (void);

## Types and Values

### struct LassoIsUserInteraction

    struct LassoIsUserInteraction {
    	LassoNode parent;

    	GList *InteractionService; /* of LassoNode */

    	gchar *id;
    	gchar *interact;
    	gchar *language;
    	gboolean redirect;
    	gint maxInteractTime;

    	/* FIXME : implement soap:actor and soap:mustUnderstand */
    };